Get Available DSS Numbers
GET
Retrieve available DSS numbers for a specific organization.
organizationId*integerAvailable DSS numbers retrieved successfully.
application/json- response
[index: integer]?Detailed number information.
curl -X GET 'https://api.eis.it/v1/voip/dss/available-number/0'Example Response
[ { "id": 0, "created_time": "string", "activationDate": "string", "ceasedDate": "string", "statoBK": "string", "numeroBK": "string", "permanente": true, "destination_old": "string", "canali": "string", "dbu": true, "dbuCategory": 0, "dbuQualification": "string", "dbuOccupation": "string", "dbuEmail": "string", "dbuAdditionalAddress": "string", "dbuNote": "string", "paperDirectories": true, "informationServices": true, "derivedSearch": true, "emailAdvertising": true, "taxCodeAggregation": true, "phoneAdvertising": true, "otherAdvertisingChannels": true, "etnaInserted": true, "anagrafica": { "id": 0, "organizationId": 0, "name": "string", "ragioneSociale": "string", "rappresentante": "string", "ptoponomastica": "string", "indirizzo": "string", "civico": "string", "indSedLeg": "string", "civicoSedLeg": "string", "comuneSedLeg": "string", "provinciaSedLeg": "string", "regioneSedLeg": "string", "capSedLeg": "strin", "comune": "string", "provincia": "string", "regione": "string", "country": "string", "cap": "strin", "tel": "string", "vatNumber": "string", "fiscalCode": "string", "company": true, "userid": 0, "mainCustomer": 0, "mainCustomerId": 0, "type": "HEADQUARTERS", "createDate": "string", "organization": { "organizationId": 0, "userId": 0, "userName": "string", "createDate": "string", "modifiedDate": "string", "parentOrganizationId": 0, "name": "string", "sbcId": 0, "notificationEmailFromAddress": "string", "customerId": 0 }, "user": { "userId": 0, "ssoId": "string", "createDate": "string", "modifiedDate": "string", "emailAddress": "string", "firstName": "string", "lastName": "string", "hasToChangePassword": true, "organizationId": 0, "parentOrganizationId": 0 }, "associated_users": [ { "userId": 0, "ssoId": "string", "createDate": "string", "modifiedDate": "string", "emailAddress": "string", "firstName": "string", "lastName": "string", "hasToChangePassword": true, "organizationId": 0, "parentOrganizationId": 0 } ], "egonCodeAddress": "string", "egonCodeCity": "string", "egonCodeMain": "string", "rawAddress": "string", "mainCustomerInfo": { "id": 0, "name": "string", "ragioneSociale": "string" } }, "organization": { "organizationId": 0, "userId": 0, "userName": "string", "createDate": "string", "modifiedDate": "string", "parentOrganizationId": 0, "name": "string", "sbcId": 0, "notificationEmailFromAddress": "string", "customerId": 0 }, "creator": { "userId": 0, "ssoId": "string", "createDate": "string", "modifiedDate": "string", "emailAddress": "string", "firstName": "string", "lastName": "string", "hasToChangePassword": true, "organizationId": 0, "parentOrganizationId": 0 }, "voipPlatform": { "id": 0, "name": "string", "description": "string", "attributes": {} }, "status": { "id": 0, "code": "string", "description": "string", "finishStatus": false }, "order": { "id": 0, "tipo": "string", "codeOrderOlo": "string", "idOrderOlo": 0, "note": "string", "quantity": 0, "region": "string", "province": "string", "city": "string", "prefix": "string", "created_time": "string", "organization": { "organizationId": 0, "userId": 0, "userName": "string", "createDate": "string", "modifiedDate": "string", "parentOrganizationId": 0, "name": "string", "type_": "string", "sbcId": 0, "documentation_URL": "string", "support_URL": "string", "status_URL": "string", "redirect_URL": "string", "notificationEmailFromAddress": "string", "customerId": 0, "manualCoverage": true, "coverageIntegration": 0 }, "service": { "id": 0, "serviceList": { "id": 0, "name": "string", "serviceProvider": { "id": 0, "description": "string" }, "carrier": { "id": 0, "name": "string" }, "type": { "id": 0, "name": "string" }, "supplierProductId": 0 }, "organizationId": 0, "integration": { "id": 0, "name": "string" }, "name": "string", "forDirect": true, "forSub": true, "carrierType": "string", "offsetDays": 0, "attributes": null }, "customer": { "id": 0, "organizationId": 0, "name": "string", "ragioneSociale": "string", "rappresentante": "string", "indirizzo": "string", "civico": "string", "indSedLeg": "string", "civicoSedLeg": "string", "comuneSedLeg": "string", "provinciaSedLeg": "string", "regioneSedLeg": "string", "capSedLeg": "string", "comune": "string", "provincia": "string", "regione": "string", "country": "string", "cap": "string", "tel": "string", "fiscalCode": "string", "company": true, "userid": 0, "mainCustomer": null, "createDate": "string", "organization": { "organizationId": 0, "name": "string", "documentation_URL": "string", "support_URL": "string", "status_URL": "string", "redirect_URL": "string", "notificationEmailFromAddress": "string", "customerId": 0, "manualCoverage": true, "coverageIntegration": 0 }, "user": { "userId": 0, "emailAddress": "string", "firstName": "string", "lastName": "string", "type": { "id": 0, "name": "string" }, "organizationId": 0, "parentOrganizationId": 0, "organizationName": "string" }, "associated_users": [ {} ], "egonCodeAddress": "string", "egonCodeCity": "string", "egonCodeMain": "string", "rawAddress": "string", "piva": "string", "ptoponomastica": "string", "mainCustomerInfo": null }, "npDetails": null, "status": { "id": 0, "code": "string", "description": "string", "finishStatus": true } }, "service": {}, "codiceMigrazione": "string", "tipo": "string", "tipoSP": "string", "dn": "string", "ipgateway": "string" }]Get Trunk or Gateway by Number ID GET
Retrieve the DSS trunk or gateway associated with a number.
Create a DSS Trunk POST
Deprecated. Use `POST /v1/voip/dss/trunks` to provision the DSS trunk from a preset. This legacy endpoint creates a trunk and optionally associates initial numbers and destinations.